Bug 24408 - Comparing floats in tests should not care about precision
Summary: Comparing floats in tests should not care about precision
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 24146
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-13 12:30 UTC by Jonathan Druart
Modified: 2020-02-03 13:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24408: Do not compare floats with precision in tests (31.95 KB, patch)
2020-01-13 12:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24408: Do not compare floats with precision in tests (33.04 KB, patch)
2020-01-13 12:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-01-13 12:30:08 UTC
We should not compare floating precision in tests.
Comment 1 Jonathan Druart 2020-01-13 12:31:13 UTC
Created attachment 97308 [details] [review]
Bug 24408: Do not compare floats with precision in tests

We should not compare floating precision in tests.

Test plan:
Confirm that the tests still pass after this patch
Comment 2 Jonathan Druart 2020-01-13 12:35:44 UTC
Created attachment 97309 [details] [review]
Bug 24408: Do not compare floats with precision in tests

We should not compare floating precision in tests.

Test plan:
Confirm that the tests still pass after this patch
Comment 3 Jonathan Druart 2020-01-13 12:42:41 UTC
PR for QA script: https://gitlab.com/koha-community/qa-test-tools/commits/issue_21
Will be merged if this bugfix is accepted.
Comment 4 Martin Renvoize 2020-01-13 13:44:13 UTC
Fast passing QA.. a sensible fix and discussed with Jonathan.
Comment 5 Martin Renvoize 2020-01-13 13:45:00 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-31 23:13:01 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 7 Jonathan Druart 2020-02-03 13:56:06 UTC
(In reply to Jonathan Druart from comment #3)
> PR for QA script:
> https://gitlab.com/koha-community/qa-test-tools/commits/issue_21
> Will be merged if this bugfix is accepted.

Done!